Bug 23094 - Use Bootstrap-style pagination on staged MARC records page
Summary: Use Bootstrap-style pagination on staged MARC records page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22935 23221
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-11 13:20 UTC by Owen Leonard
Modified: 2019-08-06 13:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23094: Use Bootstrap-style pagination on staged MARC records page (5.16 KB, patch)
2019-06-11 13:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23094: Use Bootstrap-style pagination on staged MARC records page (4.05 KB, patch)
2019-06-11 18:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23094: Use Bootstrap-style pagination on staged MARC records page (4.40 KB, patch)
2019-06-26 18:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23094: Use Bootstrap-style pagination on staged MARC records page (4.46 KB, patch)
2019-07-05 20:47 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23094: Use Bootstrap-style pagination on staged MARC records page (4.52 KB, patch)
2019-07-06 08:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-11 13:20:05 UTC
This patch will update the pagination links on the staged MARC records page to match the links on the catalog search results page.
Comment 1 Owen Leonard 2019-06-11 13:29:27 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2019-06-11 18:08:32 UTC
Sorry Owen, even following the dependencies, I can't seem to get this one to apply. :/

Liz
Comment 3 Owen Leonard 2019-06-11 18:35:42 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2019-06-26 18:15:03 UTC
Created attachment 91027 [details] [review]
Bug 23094: Use Bootstrap-style pagination on staged MARC records page

This patch makes markup changes in order to make the pagination links on
the staged MARC records page consistent with the links on the catalog
search results page.

To test properly you should have enough staged marc record batches that
there are multiple pages to list.

Go to Tools -> Manage staged MARC records. Test that the pagination
links look consistent with the catalog search results page and that they
work correctly.
Comment 5 Maryse Simard 2019-07-05 20:47:09 UTC
Created attachment 91375 [details] [review]
Bug 23094: Use Bootstrap-style pagination on staged MARC records page

This patch makes markup changes in order to make the pagination links on
the staged MARC records page consistent with the links on the catalog
search results page.

To test properly you should have enough staged marc record batches that
there are multiple pages to list.

Go to Tools -> Manage staged MARC records. Test that the pagination
links look consistent with the catalog search results page and that they
work correctly.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 6 Katrin Fischer 2019-07-06 08:32:58 UTC
Created attachment 91385 [details] [review]
Bug 23094: Use Bootstrap-style pagination on staged MARC records page

This patch makes markup changes in order to make the pagination links on
the staged MARC records page consistent with the links on the catalog
search results page.

To test properly you should have enough staged marc record batches that
there are multiple pages to list.

Go to Tools -> Manage staged MARC records. Test that the pagination
links look consistent with the catalog search results page and that they
work correctly.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2019-07-15 11:22:00 UTC
Nice work!

Pushed to master for 19.11.00
Comment 8 Fridolin SOMERS 2019-08-06 13:10:10 UTC
Enhancement not pushed to 19.05.x